DBUtil (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.servlet.db

## Class DBUtil

- java.lang.Object
- - org.gcube.application.aquamaps.aquamapsportlet.servlet.db.DBUtil

-     public class DBUtil
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String[]` | `speciesFields`
    `protected static int[]` | `speciesFieldsType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getOuterName(String dbType)`
    `protected static String` | `quote(String string)` Produce a string in double quotes with backslash sequences in all the right places.
    `static String` | `toJSon(ResultSet resultSet)`
    `static String` | `toJSon(ResultSet resultSet, int start, int end)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### speciesFields

          protected static final String[] speciesFields

    - #### speciesFieldsType

          protected static final int[] speciesFieldsType

  - ### Constructor Detail

    - #### DBUtil

          public DBUtil()

  - ### Method Detail

    - #### getOuterName

          public static String getOuterName(String dbType)

    - #### toJSon

          public static String toJSon(ResultSet resultSet)
                               throws SQLException

      Throws:
        `SQLException`

    - #### quote

          protected static String quote(String string)

      Produce a string in double quotes with backslash sequences in all the right places. A backslash will be inserted within
      Parameters:
        `string` - A String
      Returns:
        A String correctly formatted for insertion in a JSON text.

    - #### toJSon

          public static String toJSon(ResultSet resultSet,
                      int start,
                      int end)
                               throws SQLException

      Throws:
        `SQLException`

Copyright © 2014. All Rights Reserved.